Create Ad Group
curl --request POST \
--url 'https://api.adside.ai/tiktok/mcp#create_ad_group' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_id": "<string>",
"adgroup_name": "<string>",
"budget": 123,
"advertiser_id": "<string>",
"placement_type": "PLACEMENT_TYPE_AUTOMATIC",
"placements": [
"<string>"
],
"schedule_type": "SCHEDULE_START_END",
"schedule_start_time": "<string>",
"schedule_end_time": "<string>",
"bid_type": "BID_TYPE_NO_BID",
"bid_price": 123,
"billing_event": "OCPM",
"location_ids": [
"<string>"
],
"gender": "GENDER_UNLIMITED",
"age_groups": [],
"languages": [
"<string>"
],
"interest_category_ids": [
"<string>"
],
"action_category_ids": [
"<string>"
],
"operating_systems": [],
"operation_status": "DISABLE"
}
},
"id": "1"
}
'import requests
url = "https://api.adside.ai/tiktok/mcp#create_ad_group"
payload = {
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_id": "<string>",
"adgroup_name": "<string>",
"budget": 123,
"advertiser_id": "<string>",
"placement_type": "PLACEMENT_TYPE_AUTOMATIC",
"placements": ["<string>"],
"schedule_type": "SCHEDULE_START_END",
"schedule_start_time": "<string>",
"schedule_end_time": "<string>",
"bid_type": "BID_TYPE_NO_BID",
"bid_price": 123,
"billing_event": "OCPM",
"location_ids": ["<string>"],
"gender": "GENDER_UNLIMITED",
"age_groups": [],
"languages": ["<string>"],
"interest_category_ids": ["<string>"],
"action_category_ids": ["<string>"],
"operating_systems": [],
"operation_status": "DISABLE"
}
},
"id": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '<string>',
method: '<string>',
params: {
name: '<string>',
arguments: {
campaign_id: '<string>',
adgroup_name: '<string>',
budget: 123,
advertiser_id: '<string>',
placement_type: 'PLACEMENT_TYPE_AUTOMATIC',
placements: ['<string>'],
schedule_type: 'SCHEDULE_START_END',
schedule_start_time: '<string>',
schedule_end_time: '<string>',
bid_type: 'BID_TYPE_NO_BID',
bid_price: 123,
billing_event: 'OCPM',
location_ids: ['<string>'],
gender: 'GENDER_UNLIMITED',
age_groups: [],
languages: ['<string>'],
interest_category_ids: ['<string>'],
action_category_ids: ['<string>'],
operating_systems: [],
operation_status: 'DISABLE'
}
},
id: '1'
})
};
fetch('https://api.adside.ai/tiktok/mcp#create_ad_group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Tiktok
Create Ad Group
Create a TikTok ad group with targeting, placement, schedule, budget, and bid settings. Created DISABLED by default.
POST
/
tiktok
/
mcp#create_ad_group
Create Ad Group
Authorizations
API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.
Body
application/json
⌘I